package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HROrgContactDTO]
 */
@Data
public class HROrgContactDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [HRORGCONTACTID]
     *
     */
    @JSONField(name = "hrorgcontactid")
    @JsonProperty("hrorgcontactid")
    private String hrorgcontactid;

    /**
     * 属性 [HRORGCONTACTNAME]
     *
     */
    @JSONField(name = "hrorgcontactname")
    @JsonProperty("hrorgcontactname")
    private String hrorgcontactname;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [CONTACTTYPE]
     *
     */
    @JSONField(name = "contacttype")
    @JsonProperty("contacttype")
    private String contacttype;

    /**
     * 属性 [CONTACTINFO]
     *
     */
    @JSONField(name = "contactinfo")
    @JsonProperty("contactinfo")
    private String contactinfo;

    /**
     * 属性 [MAINCONTACT]
     *
     */
    @JSONField(name = "maincontact")
    @JsonProperty("maincontact")
    private Integer maincontact;

    /**
     * 属性 [HRORGANIZATIONID]
     *
     */
    @JSONField(name = "hrorganizationid")
    @JsonProperty("hrorganizationid")
    private String hrorganizationid;


    /**
     * 设置 [HRORGCONTACTNAME]
     */
    public void setHrorgcontactname(String  hrorgcontactname){
        this.hrorgcontactname = hrorgcontactname ;
        this.modify("hrorgcontactname",hrorgcontactname);
    }

    /**
     * 设置 [CONTACTTYPE]
     */
    public void setContacttype(String  contacttype){
        this.contacttype = contacttype ;
        this.modify("contacttype",contacttype);
    }

    /**
     * 设置 [CONTACTINFO]
     */
    public void setContactinfo(String  contactinfo){
        this.contactinfo = contactinfo ;
        this.modify("contactinfo",contactinfo);
    }

    /**
     * 设置 [MAINCONTACT]
     */
    public void setMaincontact(Integer  maincontact){
        this.maincontact = maincontact ;
        this.modify("maincontact",maincontact);
    }

    /**
     * 设置 [HRORGANIZATIONID]
     */
    public void setHrorganizationid(String  hrorganizationid){
        this.hrorganizationid = hrorganizationid ;
        this.modify("hrorganizationid",hrorganizationid);
    }


}

