package cn.ibizlab.humanresource.hrapi.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.humanresource.util.domain.DTOBase;
import cn.ibizlab.humanresource.util.domain.DTOClient;
import lombok.Data;

/**
 * 服务DTO对象[HRTechnicalTitleDTO]
 */
@Data
public class HRTechnicalTitleDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [HRTECHNICALTITLEID]
     *
     */
    @JSONField(name = "hrtechnicaltitleid")
    @JsonProperty("hrtechnicaltitleid")
    private String hrtechnicaltitleid;

    /**
     * 属性 [CREATEMAN]
     *
     */
    @JSONField(name = "createman")
    @JsonProperty("createman")
    private String createman;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;

    /**
     * 属性 [UPDATEMAN]
     *
     */
    @JSONField(name = "updateman")
    @JsonProperty("updateman")
    private String updateman;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [HRTECHNICALTITLENAME]
     *
     */
    @JSONField(name = "hrtechnicaltitlename")
    @JsonProperty("hrtechnicaltitlename")
    private String hrtechnicaltitlename;

    /**
     * 属性 [HREMPLOYEEID]
     *
     */
    @JSONField(name = "hremployeeid")
    @JsonProperty("hremployeeid")
    private String hremployeeid;

    /**
     * 属性 [HREMPLOYEENAME]
     *
     */
    @JSONField(name = "hremployeename")
    @JsonProperty("hremployeename")
    private String hremployeename;

    /**
     * 属性 [TITLETIME]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "titletime" , format="yyyy-MM-dd")
    @JsonProperty("titletime")
    private Timestamp titletime;

    /**
     * 属性 [TITLELEVEL]
     *
     */
    @JSONField(name = "titlelevel")
    @JsonProperty("titlelevel")
    private String titlelevel;

    /**
     * 属性 [MAJORTYPE]
     *
     */
    @JSONField(name = "majortype")
    @JsonProperty("majortype")
    private String majortype;

    /**
     * 属性 [MAJOR]
     *
     */
    @JSONField(name = "major")
    @JsonProperty("major")
    private String major;

    /**
     * 属性 [AUTHORGANIZATION]
     *
     */
    @JSONField(name = "authorganization")
    @JsonProperty("authorganization")
    private String authorganization;

    /**
     * 属性 [VALIDORGANIZATION]
     *
     */
    @JSONField(name = "validorganization")
    @JsonProperty("validorganization")
    private String validorganization;

    /**
     * 属性 [HIGHTITLE]
     *
     */
    @JSONField(name = "hightitle")
    @JsonProperty("hightitle")
    private Integer hightitle;

    /**
     * 属性 [ATTACHMENT]
     *
     */
    @JSONField(name = "attachment")
    @JsonProperty("attachment")
    private String attachment;

    /**
     * 属性 [CERTIFICATECODE]
     *
     */
    @JSONField(name = "certificatecode")
    @JsonProperty("certificatecode")
    private String certificatecode;


    /**
     * 设置 [HRTECHNICALTITLENAME]
     */
    public void setHrtechnicaltitlename(String  hrtechnicaltitlename){
        this.hrtechnicaltitlename = hrtechnicaltitlename ;
        this.modify("hrtechnicaltitlename",hrtechnicaltitlename);
    }

    /**
     * 设置 [HREMPLOYEEID]
     */
    public void setHremployeeid(String  hremployeeid){
        this.hremployeeid = hremployeeid ;
        this.modify("hremployeeid",hremployeeid);
    }

    /**
     * 设置 [TITLETIME]
     */
    public void setTitletime(Timestamp  titletime){
        this.titletime = titletime ;
        this.modify("titletime",titletime);
    }

    /**
     * 设置 [TITLELEVEL]
     */
    public void setTitlelevel(String  titlelevel){
        this.titlelevel = titlelevel ;
        this.modify("titlelevel",titlelevel);
    }

    /**
     * 设置 [MAJORTYPE]
     */
    public void setMajortype(String  majortype){
        this.majortype = majortype ;
        this.modify("majortype",majortype);
    }

    /**
     * 设置 [MAJOR]
     */
    public void setMajor(String  major){
        this.major = major ;
        this.modify("major",major);
    }

    /**
     * 设置 [AUTHORGANIZATION]
     */
    public void setAuthorganization(String  authorganization){
        this.authorganization = authorganization ;
        this.modify("authorganization",authorganization);
    }

    /**
     * 设置 [VALIDORGANIZATION]
     */
    public void setValidorganization(String  validorganization){
        this.validorganization = validorganization ;
        this.modify("validorganization",validorganization);
    }

    /**
     * 设置 [HIGHTITLE]
     */
    public void setHightitle(Integer  hightitle){
        this.hightitle = hightitle ;
        this.modify("hightitle",hightitle);
    }

    /**
     * 设置 [ATTACHMENT]
     */
    public void setAttachment(String  attachment){
        this.attachment = attachment ;
        this.modify("attachment",attachment);
    }

    /**
     * 设置 [CERTIFICATECODE]
     */
    public void setCertificatecode(String  certificatecode){
        this.certificatecode = certificatecode ;
        this.modify("certificatecode",certificatecode);
    }


}

